Package org.gradle.api.reporting.model

# Class ModelReport

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.reporting.model.ModelReport

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

@Deprecated @DisableCachingByDefault(because="Produces only non-cacheable console output") public abstract class ModelReport extends DefaultTask
Deprecated.
Displays some details about the configuration model of the project. An instance of this type is used when you execute the `model` task from the command-line.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `ModelReport.Format`
  Deprecated.
  The report format.

  ## Nested classes/interfaces inherited from interface org.gradle.api.Task

  `Task.Namer`

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ModelReport()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ModelReport.Format`
  `getFormat()`
  Deprecated.
  `protected org.gradle.model.internal.registry.ModelRegistry`
  `getModelRegistry()`
  Deprecated.
  `protected org.gradle.internal.logging.text.StyledTextOutputFactory`
  `getTextOutputFactory()`
  Deprecated.
  `boolean`
  `isShowHidden()`
  Deprecated.
  `void`
  `report()`
  Deprecated.
  `void`
  `setFormat(String format)`
  Deprecated.
  `void`
  `setShowHidden(boolean showHidden)`
  Deprecated.

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### ModelReport

    public ModelReport()
    Deprecated.

- ## Method Details

  - ### setShowHidden

    public void setShowHidden(boolean showHidden)
    Deprecated.

  - ### isShowHidden

    @Console public boolean isShowHidden()
    Deprecated.

  - ### setFormat

    public void setFormat(String format)
    Deprecated.

  - ### getFormat

    @Console public ModelReport.Format getFormat()
    Deprecated.

  - ### getTextOutputFactory

    @Inject protected org.gradle.internal.logging.text.StyledTextOutputFactory getTextOutputFactory()
    Deprecated.

  - ### getModelRegistry

    @Inject protected org.gradle.model.internal.registry.ModelRegistry getModelRegistry()
    Deprecated.

  - ### report

    public void report()
    Deprecated.